ipe::PdfFileResources Class Reference

`#include <iperesources.h>`

Inherits ipe::PdfResourceBase.

## Public Member Functions

| PdfFileResources (const PdfFile *file)
| ~PdfFileResources ()=default
virtual const PdfObj * | object (int num) const noexcept
Public Member Functions inherited from ipe::PdfResourceBase
| PdfResourceBase ()
virtual | ~PdfResourceBase ()
const PdfObj * | getDeep (const PdfDict *d, String key) const noexcept
const PdfDict * | getDict (const PdfDict *d, String key) const noexcept
const PdfDict * | resourcesOfKind (String kind) const noexcept
const PdfDict * | findResource (String kind, String name) const noexcept
const PdfDict * | findResource (const PdfDict *xf, String kind, String name) const noexcept

## Additional Inherited Members

Protected Attributes inherited from ipe::PdfResourceBase
std::unique_ptr< PdfDict > | iPageResources

## Constructor & Destructor Documentation

## PdfFileResources()

PdfFileResources::PdfFileResources | ( | const PdfFile * | file | ) |

## ~PdfFileResources()

ipe::PdfFileResources::~PdfFileResources | ( |  | ) |

default

## Member Function Documentation

## object()

const PdfObj * PdfFileResources::object | ( | int | num | ) | const

virtual noexcept

Implements ipe::PdfResourceBase.

References ipe::PdfFile::object().

The documentation for this class was generated from the following files:

- iperesources.h
- iperesources.cpp